Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Class StartupJobDefinition

    java.lang.Object
      com.bea.p13n.jobmanager.config.AbstractJobDefinition
          com.bea.p13n.jobmanager.config.StartupJobDefinition

All Implemented Interfaces
  StartupJobDefinitionBean, JobDefinition

    public class StartupJobDefinition

extends AbstractJobDefinition
implements StartupJobDefinitionBean

This is the job definition for a `StartupJob`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.jobmanager.JobDefinition
`JobDefinition.JOB_TYPE`

Constructor Summary
`StartupJobDefinition(String name)`

Method Summary
`JobDefinition.JOB_TYPE` | `getJobType()`
`String` | `toString()`

Methods inherited from class com.bea.p13n.jobmanager.config.AbstractJobDefinition
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, isEnabled, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setJobParamBeans, setListenerBeans, setName, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.jobmanager.config.StartupJobDefinitionBean
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setName, setNode`

Constructor Detail

### StartupJobDefinition

    public StartupJobDefinition(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractJobDefinition`

### getJobType

    public JobDefinition.JOB_TYPE getJobType()

  Specified by:
    `getJobType` in class `AbstractJobDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.